summaryrefslogtreecommitdiff
path: root/dev-ruby/compass
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/compass')
-rw-r--r--dev-ruby/compass/Manifest1
-rw-r--r--dev-ruby/compass/compass-1.0.3-r1.ebuild41
-rw-r--r--dev-ruby/compass/metadata.xml13
3 files changed, 55 insertions, 0 deletions
diff --git a/dev-ruby/compass/Manifest b/dev-ruby/compass/Manifest
new file mode 100644
index 000000000000..177fd45b0aa3
--- /dev/null
+++ b/dev-ruby/compass/Manifest
@@ -0,0 +1 @@
+DIST compass-1.0.3.gem 378368 BLAKE2B 1c33f576ba0c1117d8ca3deeb4d422441fd50922df3443a68b4eeabdd45d804fe505461a687053b6a0ebf0a2aed2539482843eac786226d16ad5ea5fb51a5284 SHA512 bef1ca903cb982df39330a913051c1a330aa1ecad9abbe5a7644e335c7ed2d152901a4079cc5ee43e9f7ce85a671f1d5552a3c98cf40b04134de072a120deef6
diff --git a/dev-ruby/compass/compass-1.0.3-r1.ebuild b/dev-ruby/compass/compass-1.0.3-r1.ebuild
new file mode 100644
index 000000000000..d0f7e35f5fc2
--- /dev/null
+++ b/dev-ruby/compass/compass-1.0.3-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_TASK_TEST="-Ilib test features"
+
+RUBY_FAKEGEM_EXTRAINSTALL="VERSION VERSION_NAME"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Compass Stylesheet Authoring Framework"
+HOMEPAGE="http://compass-style.org/"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64"
+IUSE=""
+
+# Gem does not contain all files needed to run specs and it is not clear
+# which upstream repository/branch/directory to use.
+RESTRICT="test"
+
+ruby_add_rdepend ">=dev-ruby/chunky_png-1.2
+ >=dev-ruby/compass-core-1.0.2:1.0
+ >=dev-ruby/compass-import-once-1.0.5:1.0
+ >=dev-ruby/rb-inotify-0.9
+ >=dev-ruby/sass-3.3.13:* <dev-ruby/sass-3.5:*"
+
+#ruby_add_bdepend "test? ( dev-ruby/colorize )"
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/ s:^:#:' Rakefile || die
+
+ # Remove rb-fsevent dependency since it is not needed on Linux and
+ # not packaged.
+ sed -i -e '/rb-fsevent/,/^-/ s:^:#:' ../metadata || die
+}
diff --git a/dev-ruby/compass/metadata.xml b/dev-ruby/compass/metadata.xml
new file mode 100644
index 000000000000..99f9cabfd2f7
--- /dev/null
+++ b/dev-ruby/compass/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ Compass is a Sass-based Stylesheet Framework that streamlines the
+ creation and maintenance of CSS.
+ </longdescription>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>